package pipeClient;

public class BitConverter
{
	public static byte[] toBytes(int i) 
	{
		byte[] result = new byte[4];

		result[3] = (byte) (i >> 24);
		result[2] = (byte) (i >> 16);
		result[1] = (byte) (i >> 8);
		result[0] = (byte) (i /*>> 0*/);

		return result;
	}

	public static int toInt(byte[] bytes, int offset) 
	{
		int res = 0;
		for (int i = 3; i > 0; --i) 
		{
			res += bytes[i + offset] & 0xFF;
			res = res << 8;
		}
		res += bytes[0 + offset] & 0xFF;

		return res;
	}
	
	public static long toLong(byte[] bytes, int offset)
	{
		long res = 0;
		
		for (int i = 7; i > 0; --i) 
		{
			res += bytes[i + offset] & 0xFF;
			res = res << 8;
		}
		res += bytes[0 + offset] & 0xFF;

		return res;
	}
}
