package pipeClient;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class Spike
{
	public int sensorID;
	//public int unitID;
	public long timeStamp;
	public double[] waveForm;
	public boolean hasWaveForm;
	
	public int getSensorID()
	{
		return sensorID;
	}
	public void setSensorID(int sensorID)
	{
		this.sensorID = sensorID;
	}
	public long getTimeStamp()
	{
		return timeStamp;
	}
	public void setTimeStamp(long timeStamp)
	{
		this.timeStamp = timeStamp;
	}
	public double[] getWaveForm()
	{
		return waveForm;
	}
	public void setWaveForm(double[] waveForm)
	{
		this.waveForm = waveForm;
	}
	public boolean isHasWaveForm()
	{
		return hasWaveForm;
	}
	public void setHasWaveForm(boolean hasWaveForm)
	{
		this.hasWaveForm = hasWaveForm;
	}
	
	public Spike(byte[] array)
	{
		this.sensorID = BitConverter.toInt(array, 0);
		this.timeStamp = BitConverter.toLong(array, 4);
		
		if (array.length > 12) 
		{
			this.hasWaveForm = true;
			ByteBuffer byteBuffer = ByteBuffer.wrap(array);
			byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
			this.waveForm = new double[(array.length - 12) / 8];
			for (int i = 0; i < this.waveForm.length; i++) 
			{
				this.waveForm[i] = byteBuffer.getDouble(12 + i * 8);
			}
		}
		else 
		{
			this.hasWaveForm = false;
		}
	}
}
