function mouseHandler(src, evt)
% function mouseHandler(src, evt)
%
% Is triggered when the mouse is clicked in the spike rate figure. Reads
% the current mouse position, translates it to a sensor ID and stores this
% ID (if valid) as field 'CurrentSensor' in the handle of the spike rate
% figure. Can be retrieved by calling 'guidata' on the spike rate figure
% handle.

    if strcmp(get(src, 'SelectionType'), 'normal')
        pt = get(gca,'CurrentPoint');
        
        x = pt(1,1) - 0.5;
        y = pt(1,2) - 0.5;
        x = min(x, 65);
        y = min(y, 65);
        
        sens = floor(x) * 65 + floor(y) + 1;
        
        if sens > 0 && sens <= 65*65
            h = guidata(gcf);
            h.CurrentSensor = sens;
            guidata(gcf, h);
            figure(2)
        end
    end

end